Find attribute mapping - Fabric

Find attribute mapping

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "page": 0,
  "size": 10,
  "include": {
    "attribute": true
  },
  "sort": [
    {}
  ],
  "match": {
    "target": "<string>",
    "mapping": "<string>",
    "attributeId": "62e2ae29c3004a000950ad5f",
    "name": "<string>",
    "description": "<string>",
    "required": true
  }
}
'

Python Example

import requests

url = "https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search"

payload = {
    "page": 0,
    "size": 10,
    "include": { "attribute": True },
    "sort": [{}],
    "match": {
        "target": "<string>",
        "mapping": "<string>",
        "attributeId": "62e2ae29c3004a000950ad5f",
        "name": "<string>",
        "description": "<string>",
        "required": True
    }
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Example

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    page: 0,
    size: 10,
    include: {attribute: true},
    sort: [{}],
    match: {
      target: '<string>',
      mapping: '<string>',
      attributeId: '62e2ae29c3004a000950ad5f',
      name: '<string>',
      description: '<string>',
      required: true
    }
  })
};

fetch('https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'page' => 0,
    'size' => 10,
    'include' => [
        'attribute' => true
    ],
    'sort' => [
        [
        ]
    ],
    'match' => [
        'target' => '<string>',
        'mapping' => '<string>',
        'attributeId' => '62e2ae29c3004a000950ad5f',
        'name' => '<string>',
        'description' => '<string>',
        'required' => true
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://live.copilot.fabric.inc/api-product/v1/product/attribute/mapping/search"

payload := strings.NewReader("{\n  \"page\": 0,\n  \"size\": 10,\n  \"include\": {\n    \"attribute\": true\n  },\n  \"sort\": [\n    {}\n  ],\n  \"match\": {\n    \"target\": \"<string>\",\n    \"mapping\": \"<string>\",\n    \"attributeId\": \"62e2ae29c3004a000950ad5f\",\n    \"name\": \"<string>\",\n    \"description\": \"<string>\",\n    \"required\": true\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Example Responses

Success (200)

{
  "totalSize": 100,
  "pageSize": 10,
  "pages": 10,
  "mappings": [
    {
      "attributeId": "62e2ae29c3004a000950ad5f",
      "attribute": {
        "id": "<string>",
        "statuses": [
          {
            "code": "<string>",
            "name": "<string>",
            "description": "<string>",
            "createdOn": "2023-11-07T05:31:56Z",
            "createdBy": "broma0",
            "modifiedOn": "2023-11-07T05:31:56Z",
            "modifiedBy": "broma0"
          }
        ],
        "files": [
          {
            "name": "<string>",
            "statuses": [
              {
                "code": "<string>",
                "name": "<string>",
                "description": "<string>",
                "createdOn": "2023-11-07T05:31:56Z",
                "createdBy": "broma0",
                "modifiedOn": "2023-11-07T05:31:56Z",
                "modifiedBy": "broma0"
              }
            ],
            "progress": 100,
            "createdOn": "2023-11-07T05:31:56Z",
            "createdBy": "broma0",
            "modifiedOn": "2023-11-07T05:31:56Z",
            "modifiedBy": "broma0",
            "secondsTakenToImport": 123,
            "secondsTakenToProcess": 123
          }
        ],
        "name": "<string>",
        "description": "<string>",
        "locales": [
          {
            "locale": "fr-ca",
            "name": "Un Nom Français"
          }
        ],
        "localizable": true,
        "mapping": "<string>",
        "serialStart": 123,
        "format": "YYYY-MM-DD",
        "formula": "value < 10 || value > 20",
        "validation": {
          "required": true,
          "inheritable": true,
          "inverse": false,
          "unique": true,
          "exact": "<string>",
          "attributeTypes": [],
          "contains": "<string>",
          "range": {
            "min": "<string>",
            "max": "<string>"
          },
          "formula": "value < 10 || value > 20",
          "oneOf": [
            "<string>"
          ]
        },
        "createdOn": "2023-11-07T05:31:56Z",
        "createdBy": "broma0",
        "modifiedOn": "2023-11-07T05:31:56Z",
        "modifiedBy": "broma0"
      },
      "mapping": "SKU",
      "target": "ITEM",
      "name": "Item SKU",
      "description": "Item SKU",
      "required": true,
      "validation": {
        "required": true,
        "inheritable": true,
        "inverse": false,
        "unique": true,
        "exact": "<string>",
        "attributeTypes": [],
        "contains": "<string>",
        "range": {
          "min": "<string>",
          "max": "<string>"
        },
        "formula": "value < 10 || value > 20",
        "oneOf": [
          "<string>"
        ]
      },
      "createdOn": "2021-09-23T17:47:04.231Z",
      "createdBy": "broma0",
      "modifiedOn": "2023-11-07T05:31:56Z",
      "modifiedBy": "broma0"
    }
  ]
}

Client Error (400)

{
  "code": 400,
  "message": "Client error"
}

Internal Server Error (500)

{
  "code": 500,
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}